function COM_rdfSort( $a, $b) 
{
  if ($a['date'] == $b['date']) return 0;
  return ($a['date'] > $b['date']) ? -1 : 1;
}

function COM_rdfFetch( $rdfurl, $maxheadlines = 0 )
{
  global $_CONF, $_TABLES;
    // Import the feed handling classes:
    require_once( $_CONF['path_system']
                  . '/classes/syndication/parserfactory.class.php' );
    require_once( $_CONF['path_system']
                  . '/classes/syndication/feedparserbase.class.php' );

    // Load the actual feed handlers:
    $factory = new FeedParserFactory( $_CONF['path_system']
                                      . '/classes/syndication/' );
    $factory->userAgent = 'GeekLog/' . VERSION;
    $result = $factory->reader( $rdfurl, $_CONF['default_charset'] );
    
    if( !$result )
    {
        // failed to aquire info, 0 out the block and log an error
        COM_errorLog( "Unable to aquire feed reader for $rdfurl", 1 );
	/*        COM_errorLog( $factory->errorStatus[0] . ' ' .
        	  	$factory->errorStatus[1] . ' ' .
        		$factory->errorStatus[2] );
	*/
    }
    return $result;
}

function COM_rdfImport( $bid, $rdfurl, $maxheadlines = 0 )
{

    global $_CONF, $_TABLES, $LANG21;
    
    $feed = COM_rdfFetch( $rdfurl, $maxheadlines );

    if ( $feed ) {
        if( $maxheadlines == 0 )
        {
            if( !empty( $_CONF['syndication_max_headlines'] ))
            {
                $maxheadlines = $_CONF['syndication_max_headlines'];
            }
            else
            {
                $maxheadlines = count( $feed->articles );
            }
        }

        $update = date( 'Y-m-d H:i:s' );
        $result = DB_change( $_TABLES['blocks'], 'rdfupdated', $update,
                                                 'bid', $bid );

        // format articles for display
        for( $i = 0; $i < $maxheadlines; $i++ )
        {
            if( empty( $feed->articles[$i]['title'] ))
            {
                $feed->articles[$i]['title'] = $LANG21[61];
            }

            $content = '<a href="' . $feed->articles[$i]['link'] . '" target="_blank">'
                     . $feed->articles[$i]['title'] . '</a>';
            $articles[] = $content;
        }

        // build a list
        $content = COM_makeList( $articles, 'list-feed' );
        $content = preg_replace( "/(\015\012)|(\015)|(\012)/", '', $content );

        // Standard theme based function to put it in the block
	
    }
    else
    {
              $content = $LANG21[4];
    }
        $result = DB_change( $_TABLES['blocks'], 'content',
                             addslashes( $content ), 'bid', $bid );

}

